// **** BEGIN LICENSE BLOCK ****
//   Copyright(c) 2009-2010 MATSUZAWA Jiro
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA
//   02110-1301, USA.  */
// **** END LICENSE BLOCK ****

var rencon;
if (!rencon) {
    rencon = {};
} else if (typeof rencon != "object") {
    throw new Error("cannot use rencon");
}

rencon.bibTable = null;


rencon.exeRencon = function()
{
    // set flag in debugging
    var dbgFlg = false;

    rencon.bibTable = new rencon.BibTableManager();

    var parser = rencon.SiteManager.createParser();
    if (parser == null) {
        return;
    }

    try {
        parser.pickoutBibRecord();
        var out = new rencon.CsvOutput();
        out.putBibriography();
    } catch(e) {
        if (dbgFlg) {
            alert(e.name);
            alert(e);
        }
    }

    rencon.bibTable.delete();
    rencon.bibTable = null;
}
